import { inject as service } from '@ember/service';
import { htmlSafe } from '@ember/template';
import Helper from '@ember/component/helper';
import { ImageType } from 'ember-responsive-image/types';
import ResponsiveImageLocalService from 'ember-responsive-image/services/responsive-image-local';

/**
 * @class responsiveImageResolve
 * @namespace Helpers
 * @extends Ember.Helper
 * @public
 */
export default class ResponsiveImageResolve extends Helper {
  @service
  responsiveImageLocal!: ResponsiveImageLocalService;

  compute(
    [image]: [string],
    { size, format }: { size?: number; format?: ImageType }
  ): ReturnType<typeof htmlSafe> | undefined {
    const responsive = this.responsiveImageLocal.getImageMetaBySize(
      image,
      size,
      format
    )?.image;

    return responsive ? htmlSafe(responsive) : undefined;
  }
}
