import Component from '@glimmer/component';
import ResponsiveImageService from 'ember-responsive-image/services/responsive-image';
import { ImageType, LqipBlurhash, ProviderResult } from 'ember-responsive-image/types';
declare module '@embroider/macros' {
    function getOwnConfig(): {
        usesBlurhash: boolean;
    };
}
declare global {
    const __eri_blurhash: {
        bh2url: (hash: string, width: number, height: number) => string | undefined;
    };
    const FastBoot: unknown;
}
interface ResponsiveImageComponentArgs {
    src: string | ProviderResult;
    size?: number;
    sizes?: string;
    width?: number;
    height?: number;
    cacheBreaker?: string;
}
interface PictureSource {
    srcset: string;
    type: ImageType;
    mimeType: string;
    sizes?: string;
}
declare enum Layout {
    RESPONSIVE = "responsive",
    FIXED = "fixed"
}
export default class ResponsiveImageComponent extends Component<ResponsiveImageComponentArgs> {
    responsiveImage: ResponsiveImageService;
    isLoaded: boolean;
    isRendered: boolean;
    constructor(owner: unknown, args: ResponsiveImageComponentArgs);
    get providerResult(): ProviderResult;
    get layout(): Layout;
    get sources(): PictureSource[];
    get sourcesSorted(): PictureSource[];
    /**
     * the image source which fits at best for the size and screen
     */
    get src(): string | undefined;
    get width(): number | undefined;
    get height(): number | undefined;
    get classNames(): string;
    get hasLqipBlurhash(): boolean;
    get showLqipBlurhash(): boolean;
    get blurhashMeta(): LqipBlurhash | undefined;
    get lqipBlurhash(): string | undefined;
    processUrl(url: string): string;
    onLoad(): void;
    setRendered(): void;
}
export {};
