import Service from '@ember/service';
import { Meta, Image, ImageMeta, ImageType } from 'ember-responsive-image/types';
import ResponsiveImageService from 'ember-responsive-image/services/responsive-image';
/**
 * Service class to provides images generated by the responsive images package
 */
export default class ResponsiveImageLocalService extends Service {
    responsiveImage: ResponsiveImageService;
    rootURL: any;
    /**
     * return the images with the different widths
     */
    getImages(imageName: string, type?: ImageType): Image[];
    getAvailableWidths(imageName: string): number[];
    getMeta(imageName: string): ImageMeta;
    private normalizeImageName;
    getType(imageName: string): ImageType;
    getAvailableTypes(imageName: string): ImageType[];
    /**
     * returns the image data which fits for given size (in vw)
     */
    getImageMetaBySize(imageName: string, size?: number, type?: ImageType): Image | undefined;
    /**
     * returns the image data which fits for given width (in px)
     */
    getImageMetaByWidth(imageName: string, width: number, type?: ImageType): Image;
    getAspectRatio(imageName: string): number;
    getImageFilename(image: string, width: number, format: ImageType): string;
    get meta(): Meta;
}
