import Service from '@ember/service';
import { Meta } from 'ember-responsive-image/types';
/**
 * Service class to provides images generated by the responsive images package
 */
export default class ResponsiveImageService extends Service {
    /**
     * the screen's width
     * This is the base value to calculate the image size.
     * That means the {{#crossLink "Services/ResponsiveImage:getImageBySize"}}getImageBySize{{/crossLink}} will return
     * an image that's close to `screenWidth *  window.devicePixelRatio * size / 100`
     */
    screenWidth: number;
    /**
     * the physical width
     */
    physicalWidth: number;
    /**
     *
     * @param size
     * @private
     */
    getDestinationWidthBySize(size: number): number;
    private _meta?;
    getProviderConfig<CONFIG = unknown>(provider: string): Partial<CONFIG>;
    /**
     * the meta values from build time
     */
    get meta(): Meta;
    set meta(meta: Meta);
}
